NAPI patch against 2.4.18

NAPI patch against 2.4.18

Post by Ben Greea » Tue, 09 Jul 2002 02:50:08



Does anyone have a working NAPI kernel and tulip driver patch against
2.4.18 or so?  I will be happy to test this if so.

Thanks,
Ben

--

President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

NAPI patch against 2.4.18

Post by Jason Lun » Tue, 09 Jul 2002 04:20:04



Quote:> Does anyone have a working NAPI kernel and tulip driver patch against
> 2.4.18 or so?  I will be happy to test this if so.

Yes, I backported the core last week to 2.4.19-rc1 from 2.5.24, but the
patch ought to apply to 2.4.18 with only offset mismatches. I kept a lot
of style cleanups in the patch, but they should be easy to remove if
they cause problems. I'll be backporting the various napified drivers to
2.4 this week.

http://orr.falooley.org/pub/linux/net/

Jason
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

NAPI patch against 2.4.18

Post by Martin Josefsso » Tue, 09 Jul 2002 09:40:04




> > Does anyone have a working NAPI kernel and tulip driver patch against
> > 2.4.18 or so?  I will be happy to test this if so.

> Yes, I backported the core last week to 2.4.19-rc1 from 2.5.24, but the
> patch ought to apply to 2.4.18 with only offset mismatches. I kept a lot
> of style cleanups in the patch, but they should be easy to remove if
> they cause problems. I'll be backporting the various napified drivers to
> 2.4 this week.

> http://orr.falooley.org/pub/linux/net/

Why not use the original patch?

ftp://robur.slu.se/pub/Linux/net-development/NAPI/

--
/Martin

Never argue with an idiot. They drag you down to their level, then beat
you with experience.
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

NAPI patch against 2.4.18

Post by Ben Greea » Tue, 09 Jul 2002 10:40:08





>>>Does anyone have a working NAPI kernel and tulip driver patch against
>>>2.4.18 or so?  I will be happy to test this if so.

>>Yes, I backported the core last week to 2.4.19-rc1 from 2.5.24, but the
>>patch ought to apply to 2.4.18 with only offset mismatches. I kept a lot
>>of style cleanups in the patch, but they should be easy to remove if
>>they cause problems. I'll be backporting the various napified drivers to
>>2.4 this week.

>>http://orr.falooley.org/pub/linux/net/

> Why not use the original patch?

> ftp://robur.slu.se/pub/Linux/net-development/NAPI/

The only patches I found there were about 6 months old, and the tulip
patch seems to be based on the tulip driver in 2.4.2.  The tulip driver
did not reach stability in the 2.4 series untill about 2.4.9, when it
finally started auto-negotiating correctly.

Thanks,
Ben

--

President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/